QGIS Application - Bug report #6952
raster "save as..." dialog creates incomplete output when using the " create VRT" option
2013-01-06 12:58 PM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 16062
Description

Open the attached project,

in the (only) WMS layer click the "save as..." option.

Leave the "create VRT" option checked and in the CRS dropdown choose EPSG 3763. Then choose to save the "map view extent" and
choose as resolution "5".

The resulting output VRT will miss a few vertical strips. See attached image.

Related issues:
Duplicates QGIS Application - Feature request # 6951: raster "save as..." to ... Open 2013-01-06

History

#1 - 2013-05-15 12:11 PM - Radim Blazek
- Status changed from Open to Feedback

The server is giving Internal server error:
http://datal.geoposer.com:443/server/services/request.php?jname=/wms.img&#38;&#38;SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetM

p&#38;BBOX=-8.3253071840480519,38.5151373813695059,-8.0875913241040838,38.6766480462664717&#38;SRS=EPSG:43268#38;WIDTH=1264&#38;HI

48#38;HEIGHT=8608&#38;LAYERS=Virtual%20Earth&#38;STYLES=&#38;FORMAT=image/jpeg&#38;DP|=85&#38;MAP RESOLUTION=85&#38;FORMAT OF

MAT_ OPTIONS=dpi:85

| tried with another WMS server and it worked OK. Could you test again and if it still fails for you, please send a working WMS URL or project file.

#2 - 2013-05-16 04:06 AM - Giovanni Manghi
- Status changed from Feedback to Open
- File teste_wms.qgs added

Radim Blazek wrote:

The server is giving Internal server error:
http.//datal.geoposer.com:443/server/services/request.php ?jname=/wms.img&#38,&#38,SERVICE=WMS&#38,VERSION=1.1.1&#38,REQUEST=

etMap&#38;,BBOX=-8.32563071840480519,38.5151373813695059,-8.0875913241040838,38.6 7664804626647 1 7&#38,SRS=EPSG:4326 &#38;WIDTH=12¢

DTH=1264&#38;HEIGHT=860&#38;LAYERS=Virtual%20Earth&#38,STYLES=&#38;FORMAT=image/jpeq&#38;DPI=85&#38;MAP_RESOLUTION=85&#38

=85&#38,FORMAT_OPTIONS=dpi:85

2025-04-27 1/3


http://data1.geoposer.com:443/server/services/request.php?jname=/wms.img&#38;&#38;SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetMap&#38;BBOX=-8.3253071840480519,38.5151373813695059,-8.0875913241040838,38.6766480462664717&#38;SRS=EPSG:4326&#38;WIDTH=1264&#38;HEIGHT=860&#38;LAYERS=Virtual%20Earth&#38;STYLES=&#38;FORMAT=image/jpeg&#38;DPI=85&#38;MAP_RESOLUTION=85&#38;FORMAT_OPTIONS=dpi:85
http://data1.geoposer.com:443/server/services/request.php?jname=/wms.img&#38;&#38;SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetMap&#38;BBOX=-8.3253071840480519,38.5151373813695059,-8.0875913241040838,38.6766480462664717&#38;SRS=EPSG:4326&#38;WIDTH=1264&#38;HEIGHT=860&#38;LAYERS=Virtual%20Earth&#38;STYLES=&#38;FORMAT=image/jpeg&#38;DPI=85&#38;MAP_RESOLUTION=85&#38;FORMAT_OPTIONS=dpi:85
http://data1.geoposer.com:443/server/services/request.php?jname=/wms.img&#38;&#38;SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetMap&#38;BBOX=-8.3253071840480519,38.5151373813695059,-8.0875913241040838,38.6766480462664717&#38;SRS=EPSG:4326&#38;WIDTH=1264&#38;HEIGHT=860&#38;LAYERS=Virtual%20Earth&#38;STYLES=&#38;FORMAT=image/jpeg&#38;DPI=85&#38;MAP_RESOLUTION=85&#38;FORMAT_OPTIONS=dpi:85
http://data1.geoposer.com:443/server/services/request.php?jname=/wms.img&#38;&#38;SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetMap&#38;BBOX=-8.3253071840480519,38.5151373813695059,-8.0875913241040838,38.6766480462664717&#38;SRS=EPSG:4326&#38;WIDTH=1264&#38;HEIGHT=860&#38;LAYERS=Virtual%20Earth&#38;STYLES=&#38;FORMAT=image/jpeg&#38;DPI=85&#38;MAP_RESOLUTION=85&#38;FORMAT_OPTIONS=dpi:85
http://data1.geoposer.com:443/server/services/request.php?jname=/wms.img&#38;&#38;SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetMap&#38;BBOX=-8.3253071840480519,38.5151373813695059,-8.0875913241040838,38.6766480462664717&#38;SRS=EPSG:4326&#38;WIDTH=1264&#38;HEIGHT=860&#38;LAYERS=Virtual%20Earth&#38;STYLES=&#38;FORMAT=image/jpeg&#38;DPI=85&#38;MAP_RESOLUTION=85&#38;FORMAT_OPTIONS=dpi:85
http://data1.geoposer.com:443/server/services/request.php?jname=/wms.img&#38;&#38;SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetMap&#38;BBOX=-8.3253071840480519,38.5151373813695059,-8.0875913241040838,38.6766480462664717&#38;SRS=EPSG:4326&#38;WIDTH=1264&#38;HEIGHT=860&#38;LAYERS=Virtual%20Earth&#38;STYLES=&#38;FORMAT=image/jpeg&#38;DPI=85&#38;MAP_RESOLUTION=85&#38;FORMAT_OPTIONS=dpi:85
http://data1.geoposer.com:443/server/services/request.php?jname=/wms.img&#38;&#38;SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetMap&#38;BBOX=-8.3253071840480519,38.5151373813695059,-8.0875913241040838,38.6766480462664717&#38;SRS=EPSG:4326&#38;WIDTH=1264&#38;HEIGHT=860&#38;LAYERS=Virtual%20Earth&#38;STYLES=&#38;FORMAT=image/jpeg&#38;DPI=85&#38;MAP_RESOLUTION=85&#38;FORMAT_OPTIONS=dpi:85
http://data1.geoposer.com:443/server/services/request.php?jname=/wms.img&#38;&#38;SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetMap&#38;BBOX=-8.3253071840480519,38.5151373813695059,-8.0875913241040838,38.6766480462664717&#38;SRS=EPSG:4326&#38;WIDTH=1264&#38;HEIGHT=860&#38;LAYERS=Virtual%20Earth&#38;STYLES=&#38;FORMAT=image/jpeg&#38;DPI=85&#38;MAP_RESOLUTION=85&#38;FORMAT_OPTIONS=dpi:85

| tried with another WMS server and it worked OK. Could you test again and if it still fails for you, please send a working WMS URL or project file.

| attached a new project you can try.

The output changed, now it is completely empty.

cheers!

PS

issue #6951 is not duplicate of this one.

6951 is about that the user cannot choose the name of the output vrt.

#3 - 2013-05-16 04:23 AM - Giovanni Manghi

see also #6982

#4 - 2013-05-16 07:51 AM - Radim Blazek
You have probably minscale limit set on server, this is empty:
http://mapas.igeo.pt/wms/sc500k?SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetMap&#38;BBOX=-10.1943000000000001,36.76359999

9999967,-5.7106700000000004,42.2787000000000006&#38;SRS=EPSG:4326&#38;WIDTH=1008&#38;HEIGHT=1008&#38;LAYERS=sc500k&#38;STYLES=&#
LES=&#38;FORMAT=image/png&#38; TRANSPARENT=TRUE

this is OK:

http://mapas.igeo.pt/wms/sc500k?SERVICE=WMS&#38;VERSION=1.1.1&#38,REQUEST=GetMap&#38;BBOX=-10.1943000000000001,36.76359999
9999967,-5.7106700000000004,42.2787000000000006&#38;SRS=EPSG:4326&#38;WIDTH=500&#38;HEIGHT=500&#38;LAYERS=sc500k&#38;STYLES=&#
LES=&#38;FORMAT=image/png&#38; TRANSPARENT=TRUE

Save as from QGIS works for me if | set higher number of rows and columns.

#5 - 2013-05-16 08:04 AM - Giovanni Manghi

Radim Blazek wrote:

You have probably minscale limit set on server, this is empty:

http://mapas.igeo.pt/wms/sc500k ?SERVICE=WMS&#38;VERSION=1.1. 1&#38;REQUEST=GetMap&#38;BBOX=-10.1943000000000001,36.7635

99999999967,-5.7106700000000004,42.2787000000000006&#38,;SRS=EPSG:4326&#38;WIDTH=100&#38,HEIGHT=100&#38;L AYERS=5c500k&#38,ST'
&#38;STYLES=&#38;FORMAT=image/png&#38; TRANSPARENT=TRUE

this is OK:

http://mapas.igeo.pt/wms/sc500k ?SERVICE=WMS&#38,VERSION=1.1.1&#38,REQUEST=GetMap&#38;BBOX=-10.1943000000000001,36.7635
99999999967,-5.7106700000000004,42.2787000000000006&#38,SRS=EPSG:4326&#38;WIDTH=500&#38;HEIGHT=500&#38,L AYERS=5c500k&#38,ST'
&#38,;STYLES=&#38,FORMAT=image/png&#38;,TRANSPARENT=TRUE
http://mapas.igeo.pt/wms/sc500k?SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetMap&#38;BBOX=-10.1943000000000001,36.7635999999999967,-5.7106700000000004,42.2787000000000006&#38;SRS=EPSG:4326&#38;WIDTH=500&#38;HEIGHT=500&#38;LAYERS=sc500k&#38;STYLES=&#38;FORMAT=image/png&#38;TRANSPARENT=TRUE
http://mapas.igeo.pt/wms/sc500k?SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetMap&#38;BBOX=-10.1943000000000001,36.7635999999999967,-5.7106700000000004,42.2787000000000006&#38;SRS=EPSG:4326&#38;WIDTH=500&#38;HEIGHT=500&#38;LAYERS=sc500k&#38;STYLES=&#38;FORMAT=image/png&#38;TRANSPARENT=TRUE
http://mapas.igeo.pt/wms/sc500k?SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetMap&#38;BBOX=-10.1943000000000001,36.7635999999999967,-5.7106700000000004,42.2787000000000006&#38;SRS=EPSG:4326&#38;WIDTH=500&#38;HEIGHT=500&#38;LAYERS=sc500k&#38;STYLES=&#38;FORMAT=image/png&#38;TRANSPARENT=TRUE

Save as from QGIS works for me if | set higher number of rows and columns.

| personally keep getting empty vrt and garbled tif with any wms server/layer

ex:

http://irs.gis-lab.info/?
http://mapas.igeo.pt/wms/crif

#6 - 2013-05-19 04:11 AM - Giovanni Manghi
- Resolution set to fixed
- Status changed from Open to Closed

Files

saveas.qgs 5.86 KB 2013-01-06 Giovanni Manghi
Capture.PNG 1.38 MB 2013-01-06 Giovanni Manghi
teste_wms.qgs 5.96 KB 2013-05-16 Giovanni Manghi
